%define upstream_name XML_RPC2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.4
Release:     	%mkrel 2
Summary:    	RPC client/server library
License: 	PHP License 3.02
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_RPC2-%{version}.tgz
URL: 		http://pear.php.net/package/XML_RPC2
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request2 >= 0.6.0
Requires:	php-pear-Cache_Lite >= 1.6.0
Requires:	php-pear >= 1.5.4
BuildArch: 	noarch

%description
XML_RPC2 is a pear package providing XML_RPC client and server services.
XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.
    As a client library, XML_RPC2 is capable of creating a proxy class
which exposes the methods exported by the server. As a server library,
XML_RPC2 is capable of exposing methods from a class or object instance,
seamlessly exporting local methods as remotely callable procedures.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_RPC2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_RPC2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_RPC2
fi

%files
%doc docs/XML_RPC2/*
%{peardir}/*
%{xmldir}/XML_RPC2.xml


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.4-2.mga8
+ Revision: 1522035
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 mokraemer <mokraemer> 1.1.4-1.mga7
+ Revision: 1357102
- new version 1.1.4

* Thu Sep 20 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1287864
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.1.3-1.mga7
+ Revision: 1183405
- new version

* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-5.mga6
+ Revision: 945566
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 750920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 687516
- Mageia 5 Mass Rebuild
+ spuhler <spuhler>
- removed Obsoletes: php-pear-XML_RPC
  * packages is required for pear(XML/RPC.php) by ampache

* Sun Jul 06 2014 spuhler <spuhler> 1.1.2-1.mga5
+ Revision: 644054
- upgrade to ver. 1.1.2

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 517337
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 377422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 15 2012 spuhler <spuhler> 1.1.1-2.mga2
+ Revision: 196190
- added Obsoletes: php-pear-XML_RPC is listet upstream

* Fri Jan 13 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 195537
- upgrade to 1.1.1
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 1.0.6-1.mga1
+ Revision: 44433
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_RPC2


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 602112
- new version

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-3mdv2010.1
+ Revision: 464960
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2010.0
+ Revision: 441762
- rebuild

* Sun Sep 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 284744
- update to new version 1.0.5

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2009.0
+ Revision: 237167
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 61016
- new version

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 15757
- 1.0.1


* Wed Feb 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2007.0
+ Revision: 117277
- Import php-pear-XML_RPC2

